Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.texgen
Class SyntheticTexture

    java.lang.Object
      de.grogra.persistence.ShareableBase
          de.grogra.imp.objects.ImageAdapter
              de.grogra.texgen.SyntheticTexture

All Implemented Interfaces:
  Icon, IconSource, Manageable, Shareable

Direct Known Subclasses:
  AutoregressiveTexture, DiamondSquareTexture

    public abstract class SyntheticTexture

extends ImageAdapter

Nested Class Summary

Nested classes/interfaces inherited from class de.grogra.imp.objects.ImageAdapter
`ImageAdapter.Type`

Field Summary

Fields inherited from class de.grogra.imp.objects.ImageAdapter
`$TYPE`

Fields inherited from interface de.grogra.icon.Icon
`DEFAULT, DISABLED`

Constructor Summary
`SyntheticTexture()`

Method Summary
`java.awt.image.BufferedImage` | `getNativeImage()`
`boolean` | `isMutable()`

Methods inherited from class de.grogra.imp.objects.ImageAdapter
`getBufferedImage, getIcon, getIconBounds, getIconSource, getImage, getImage, getImageSource, getPreferredIconSize, paintIcon, prepareIcon`

Methods inherited from class de.grogra.persistence.ShareableBase
`addReference, appendReferencesTo, fieldModified, getProvider, getStamp, initProvider, manageableReadResolve, manageableWriteReplace, removeReference`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface de.grogra.persistence.Manageable
`getManageableType`

Constructor Detail

### SyntheticTexture

    public SyntheticTexture()

Method Detail

### getNativeImage

    public java.awt.image.BufferedImage getNativeImage()

  Specified by:
    `getNativeImage` in class `ImageAdapter`

### isMutable

    public boolean isMutable()

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD